org.apache.commons.math.ode.jacobians

## Class FirstOrderIntegratorWithJacobians.MappingWrapper

- java.lang.Object
- - org.apache.commons.math.ode.jacobians.FirstOrderIntegratorWithJacobians.MappingWrapper

All Implemented Interfaces:
  ExtendedFirstOrderDifferentialEquations, FirstOrderDifferentialEquations

Enclosing class:
  FirstOrderIntegratorWithJacobians

    private class FirstOrderIntegratorWithJacobians.MappingWrapper
    extends java.lang.Object
    implements ExtendedFirstOrderDifferentialEquations

Wrapper class used to map state and jacobians into compound state.

### Field Summary

Fields
`private double[][]` `dFdP` Derivatives of yDot with respect to parameters.
`private double[][]` `dFdY` Derivatives of yDot with respect to state.
`private double[]` `y` Current state.
`private double[]` `yDot` Time derivative of the current state.

### Constructor Summary

Constructors
Constructor and Description
`FirstOrderIntegratorWithJacobians.MappingWrapper()` Simple constructor.

### Method Summary

Methods
`void` `computeDerivatives(double t, double[] z, double[] zDot)` Get the current time derivative of the state vector.
`int` `getDimension()` Get the dimension of the problem.
`int` `getMainSetDimension()` Return the dimension of the main set of equations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### y

    private final double[] y

Current state.

#### yDot

    private final double[] yDot

Time derivative of the current state.

#### dFdY

    private final double[][] dFdY

Derivatives of yDot with respect to state.

#### dFdP

    private final double[][] dFdP

Derivatives of yDot with respect to parameters.

### Constructor Detail

#### FirstOrderIntegratorWithJacobians.MappingWrapper

    public FirstOrderIntegratorWithJacobians.MappingWrapper()

Simple constructor.

### Method Detail

#### getDimension

    public int getDimension()

Get the dimension of the problem.

Specified by:
  `getDimension` in interface `FirstOrderDifferentialEquations`
Returns:
  dimension of the problem

#### getMainSetDimension

    public int getMainSetDimension()

Return the dimension of the main set of equations.

The main set of equations represent the first part of an ODE state. The error estimations and adaptive step size computation should be done on this first part only, not on the final part of the state which represent an extension set of equations which are considered secondary.

Specified by:
  `getMainSetDimension` in interface `ExtendedFirstOrderDifferentialEquations`
Returns:
  dimension of the main set of equations, must be lesser than or equal to the `total dimension`

#### computeDerivatives

    public void computeDerivatives(double t,
                          double[] z,
                          double[] zDot)
                            throws DerivativeException

Get the current time derivative of the state vector.

Specified by:
  `computeDerivatives` in interface `FirstOrderDifferentialEquations`
Parameters:
  `t` - current value of the independent time variable
  `z` - array containing the current value of the state vector
  `zDot` - placeholder array where to put the time derivative of the state vector
Throws:
  `DerivativeException` - this user-defined exception should be used if an error is is triggered by user code